r.kappa(1)		      Grass User's Manual		    r.kappa(1)



NNAAMMEE
       rr..kkaappppaa	 -  Calculate  error  matrix  and kappa parameter for accuracy
       assessment of classification result.
       _(_G_R_A_S_S _R_a_s_t_e_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..kkaappppaa
       rr..kkaappppaa hheellpp
       rr..kkaappppaa	 [--mmwwqqzzhh]   ccllaassssiiffiiccaattiioonn==_n_a_m_e   rreeffeerreennccee==_n_a_m_e   oouuttppuutt==_n_a_m_e
       [TTIITTLLEE=="_n_a_m_e"]

DDEESSCCRRIIPPTTIIOONN
       _r_._k_a_p_p_a tabulates the error matrix of classification result by crossing
       classified map layer with respect to reference map layer.  Both overall
       _k_a_p_p_a  (accompanied  by	its _v_a_r_i_a_n_c_e) and conditional _k_a_p_p_a values are
       calculated.  This analysis  program  respects  the  current  geographic
       region and mask settings.

OOPPTTIIOONNSS
       The user can run the program non-interactively by specifying all needed
       flag settings and parameter values on the command line,	in  the  form:
       rr..kkaappppaa	 [--mmwwqqzzhh]   ccllaassssiiffiiccaattiioonn==_n_a_m_e   rreeffeerreennccee==_n_a_m_e   oouuttppuutt==_n_a_m_e
       [TTIITTLLEE=="_n_a_m_e"]


   FFllaaggss::
       --mm     Report zero values due to mask.

       --ww     Print a wide report, 132 columns (default: 80)

       --qq     Run quietly,

       --zz     Report non-zero values only.

       --hh     Report without header.


   PPaarraammeetteerrss::
       ccllaassssiiffiiccaattiioonn==_n_a_m_e
	      Name of classified raster map layer.

       rreeffeerreennccee==_n_a_m_e
	      Name of reference raster map layer.

       oouuttppuutt==_n_a_m_e
	      Name of ascii file in which to output report results.

       TTIITTLLEE==_n_a_m_e
	      Title of the report file which is the first line in output file.
	      Default:	_A_C_C_U_R_A_C_Y _A_S_S_E_S_S_M_E_N_T

       Alternately,  the  user	can run _r_._k_a_p_p_a interactively by simply typing
       _r_._k_a_p_p_a without command line arguments; in this case, the user will  be
       prompted  for  the  names  of  classified result map and reference map,
       which will be the subjects of the analysis.   _r_._k_a_p_p_a  then  calculates
       the  error  matrix  of  the  two map layers and prepares the table from
       which the report is to be created.  _k_a_p_p_a values for overall  and  each
       classes	are  computed along with their variances. Also percent of com-
       mission and ommission error, total correct classified result  by  pixel
       counts,	total area in pixel counts and percentage of overall correctly
       classified pixels are tabulated.


       The report will be write to an output file which is in plain text  for-
       mat and named by user at prompt of running the program.


       The  body  of  the report is arranged in panels.  The classified result
       map layer categories is arranged along the vertical axis of the	table,
       while  the  reference  map  layer categories along the horizontal axis.
       Each panel has a maximum of 5 categories (9 if wide format) across  the
       top.   In  addition, the last column of the last panel reflects a cross
       total of each column for each row.  All of the categories  of  the  map
       layer  arranged along the vertical axis, i.e., the reference map layer,
       are included in each panel.  There is a total at  the  bottom  of  each
       column representing the sum of all the rows in that column.



NNOOTTEESS
       It  is  recommended  to	reclassify categories of classified result map
       layer into a more manageable number before running _r_._k_a_p_p_a on the clas-
       sified  raster  map  layer. Because _r_._k_a_p_p_a calculates and then reports
       information for each and every category.


       _N_A's in output file mean non-applicable in case _M_A_S_K exists.

SSEEEE AALLSSOO
       _g_._r_e_g_i_o_n

       _m_._i_p_f

       _r_._c_a_t_s

       _r_._m_a_s_k

       _r_._r_e_c_l_a_s_s

       _r_._r_e_p_o_r_t

       _r_._s_t_a_t_s

AAUUTTHHOORR
       Tao Wen, University of Illinois at Urbana-Champaign,  Illinois

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_3_/_0_3_/_1_6 _1_2_:_2_5_:_1_9 _$



GRASS 5.0							    r.kappa(1)
